<nz-page-header nzBackIcon>
  <nz-page-header-title>
  {{ 'Politics.Newspaper' | translate }}
  </nz-page-header-title>
  <nz-page-header-extra>
    <a href="https://wiki.vpopulus.net/en/Newspaper" target="_blank">
      <button nz-button nzShape="round" nz-tooltip nzTooltipTitle="Wiki" class="button-wiki">
        <span nz-icon nzType="info-circle" nzTheme="outline"></span>
      </button>
    </a>
  </nz-page-header-extra>
</nz-page-header>

<div nz-row nzGutter="6">
  <div nz-col nzXs="24" nzSm="24" nzXl="4" style="margin-bottom: 12px">

    <div nz-row nzGutter="6">
      <!-- NEWSPAPER DETAILS -->
      <div nz-col nzXs="24" nzSm="24" nzLg="12" nzXl="24">
        <nz-card nzSize="small" [nzTitle]="profileTpl" [nzLoading]="isLoading"
          style="margin-bottom: 10px; text-align: center;" [nzActions]="[manageButtons]">
          <ng-template #profileTpl>
            {{ newspaper?.name }}
          </ng-template>
          <app-entity-avatar *ngIf="newspaper" entityType="newspaper" [(avatar)]="newspaper.avatar"></app-entity-avatar>

          <div *ngIf="newspaper?.subscriptionPrice">
            <div>
              {{ 'Social.Newspaper.Subscribers' | translate }}: {{ newspaper?.activeSubscribersCount }}
            </div>

            <div style="margin-top: 5px">
              {{ 'Social.Newspaper.subscriptionPrice' | translate }}:<br />
              <img src="assets/img/icons/currencies/gold.png" class="avatar-small" />
              {{ newspaper?.subscriptionPrice }} {{ 'Economy.Currencies.Gold' | translate }}
            </div>
          </div>

        </nz-card>
        <ng-template #manageButtons>
          <button class="button-basic" nz-button nzShape="round" nz-tooltip *ngIf="isSubscriber !== undefined && isSubscriber === false"
            nzTooltipTitle='{{ "Common.Buttons.Subscribe" | translate }}' (click)="subscribe()">
            <i class="fa-regular fa-heart fa-beat-fade" style="color: rgb(182, 8, 8)"></i>
          </button>
          <button class="button-basic" nz-button nzShape="round" nz-tooltip *ngIf="isSubscriber !== undefined && isSubscriber === true"
            nzTooltipTitle='{{ "Common.Buttons.Unsubscribe" | translate }}' (click)="unsubscribe()">
            <i class="fa-regular fa-heart fa-beat-fade" style="color: rgb(182, 8, 8)"></i>
            <i class="fa-solid fa-slash" style="color: rgb(182, 8, 8); position: absolute; top: 8px; left: 13px; font-size: 13px;"></i>
          </button>

          <button class="button-basic" nz-button nzShape="round" nz-tooltip nzTooltipTitle='Subscription settings'
            *ngIf="newspaper?.isEntityManager" (click)="setNewSubscriptionPriceModalVisible = true">
            <i class="fa-regular fa-heart fa-beat-fade" style="color: rgb(182, 8, 8)"></i>
            <i class="fa-solid fa-gear" style="position: absolute; top: 13px; left: 15px; font-size: 12px;"></i>
          </button>
          <app-entity-settings *ngIf="newspaper?.isEntityManager" [(entity)]="newspaper"
            entityType="newspaper"></app-entity-settings>
        </ng-template>
      </div>

      <!-- EDITORS -->
      <div nz-col nzXs="24" nzSm="24" nzLg="12" nzXl="24">
        <app-newspaper-editors *ngIf="newspaper" [newspaperId]="newspaper.id">
        </app-newspaper-editors>
      </div>
    </div>
  </div>
  <div nz-col nzXs="24" nzSm="24" nzXl="20">
    <nz-skeleton [nzLoading]="isLoading"></nz-skeleton>

    <app-newspaper-articles *ngIf="newspaper" [newspaperId]="newspaper.id" [isEditor]="newspaper.isEditor" [canManage]="newspaper.isEntityManager">
    </app-newspaper-articles>

    <div style="margin-top: 6px"></div>
    <app-newspaper-subscribers *ngIf="newspaper?.isEditor" [newspaperId]="newspaper.id"></app-newspaper-subscribers>

    <div style="margin-top: 6px"></div>
    <app-newspaper-medals *ngIf="newspaper" [newspaperId]="newspaper.id"></app-newspaper-medals>
  </div>
</div>

<nz-modal [(nzVisible)]="setNewSubscriptionPriceModalVisible" [nzTitle]="'Social.Newspaper.NewSubscriptionPrice' | translate"
  (nzOnCancel)="setNewSubscriptionPriceModalVisible = false" (nzOnOk)="setSubscriptionPrice()" [nzOkLoading]="isLoading"
  [nzCancelLoading]="isLoading">
  <ng-container *nzModalContent>
    <nz-form-item>
      <nz-form-label [nzSm]="6" [nzXs]="24" nzRequired>{{ 'Social.Newspaper.priceInGold' | translate }}</nz-form-label>
      <nz-form-control [nzSm]="16" [nzXs]="24">
        <nz-input-number [(ngModel)]="newSubscriptionPrice" [nzMin]="0.01" [nzMax]="2" [nzStep]="0.1"
          style="width: 100%"></nz-input-number>
      </nz-form-control>
    </nz-form-item>
  </ng-container>
</nz-modal>
